# $Revision: 1.19 $, $Date: 2010/04/21 17:02:57 $
#
# Conditional build:
%bcond_without    javadoc        # don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons Modeler - managing resources via Java Management Extensions
Summary(pl.UTF-8):	Commons Modeler - zarządzanie zasobami z użyciem Java Management Extensions
Name:		java-commons-modeler
Version:	2.0
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/modeler/source/commons-modeler-%{version}-src.tar.gz
# Source0-md5:	43983c66113ddaa9880e4a7ea7d38db4
URL:		http://commons.apache.org/modeler/
BuildRequires:	ant
BuildRequires:	java(jmx)
BuildRequires:	java-commons-digester
BuildRequires:	java-commons-logging
BuildRequires:	jdk >= 1.2
BuildRequires:	rpm-javaprov
Requires:	java(jmx)
Requires:	java-commons-beanutils
Requires:	java-commons-collections
Requires:	java-commons-digester
Requires:	java-commons-logging
Requires:	jpackage-utils
Requires:	jre >= 1.2
Provides:	jakarta-commons-modeler
Obsoletes:	jakarta-commons-modeler
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This scope of the Modeler component is to provide a class library
supporting the creation and use of Model MBeans to manage application
resources via tools that implement the Java Management Extensions
(JMX) APIs.

%description -l pl.UTF-8
Zadaniem komponentu Modeler jest dostarczenie biblioteki klas
wspierających tworzenie i używanie Model MBeans do zarządzania
zasobami aplikacji z użyciem narzędzi będących implementacją API Java
Management Extensions (JMX).

%package javadoc
Summary:	Commons Modeller documentation
Summary(pl.UTF-8):	Dokumentacja do Jakarta Commons Modeller
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-modeler-javadoc
Obsoletes:	jakarta-commons-modeler-doc
Obsoletes:	jakarta-commons-modeler-javadoc

%description javadoc
Commons Modeller documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Modeller.

%prep
%setup -q -n commons-modeler-%{version}-src

%build
required_jars="commons-digester commons-logging jmx"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
%ant dist

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a dist/commons-modeler.jar $RPM_BUILD_ROOT%{_javadir}/commons-modeler-%{version}.jar
ln -s commons-modeler-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-modeler.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt RELEASE-NOTES.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-modeler.spec,v $
Revision 1.19  2010/04/21 17:02:57  arekm
- release 2

Revision 1.18  2010/04/18 14:18:42  pawelz
- updated java deps

Revision 1.17  2008/12/25 21:13:46  pawelz
- it is no longer part of Jakarta project
- new URLs
- s/jakarta/java/ in dependencies
- tabs in preamble
- added Provides/Obsoletes old name in subpackage

Revision 1.16  2008/11/23 23:46:12  glen
- rename to java-commons-modeler.spec

Revision 1.15  2007/04/11 21:21:33  glen
- update to 2.0, License ASF 2.0

Revision 1.14  2007/04/11 21:17:45  glen
- do not package src.jar
- update from template-java.spec

Revision 1.13  2007/04/09 22:44:45  glen
- unify java package, builds with java 1.5

Revision 1.12  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.10  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.9  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.8  2005/05/08 19:29:39  qboosh
- updated to 1.1

Revision 1.7  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.6  2003/06/25 09:21:19  pascalek
- now javadoc know where jars are stored

Revision 1.5  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/18 18:13:57  adasi
- BR: jmx

Revision 1.2  2003/03/26 10:18:12  qboosh
- enhanced descriptions and dependencies

Revision 1.1  2003/03/10 19:58:30  misiek
- initial pld release
